#include <iostream>
#include <cmath>
using namespace std;

int main()
{
	double iterations = 10000;
    cout << "Enter a positive value:" << endl;
	double target;
	double result;
	cin >> target;
	cout << "Target value: " << target << endl << endl;
	
	double final_a = 0;
	double final_b = 1;
	double final_result = 1.0;
	
	for (int a = 0; a < iterations; a++) {
		for (int b = 1; b < iterations; b++) {
			double result = exp(a) / b;
			if (abs(target - result) < abs(target - final_result)) {
				final_a = a;
				final_b = b;
				final_result = result;
			}
		}
	}

	cout << "e^" << final_a << "/" << final_b << "=" << final_result << endl;
	cout << abs(target - final_result) << " from target value" << endl << endl;
	
	
	final_a = 1;
	final_b = 1;
	final_result = M_PI;
	
	for (int a = 1; a < iterations; a++) {
		for (int b = 1; b < iterations; b++) {
			double result = a * M_PI / b;
			if (abs(target - result) < abs(target - final_result)) {
				final_a = a;
				final_b = b;
				final_result = result;
			}
		}
	}

	cout << final_a << "π/" << final_b << "=" << final_result << endl;
	cout << abs(target - final_result) << " from target value" << endl <<endl;

}